#
# u2d3.rb
#   $Id: u2d3.rb,v 1.1 2000/11/18 18:57:45 keiko Exp $
#

require "narray"
require "dcl"

include DCL
include Math

NX = 21
NY = 21
XMIN = -1.0
XMAX = 1.0
YMIN = -1.0
YMAX = 1.0
DX = (XMAX-XMIN)/(NX-1)
DY = (YMAX-YMIN)/(NY-1)

u = NArray.sfloat(NX, NY)
v = NArray.sfloat(NX, NY)

#-- data ----
for j in 0..NY-1
  for i in 0..NX-1
    xi = XMIN + i*DX
    yj = YMIN + j*DY
    u[i,j] = xi
    v[i,j] = -yj
  end
end

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws
grfrm

grswnd(XMIN, XMAX, YMIN, YMAX)
uspfit
grstrf

ussttl('X', 'km', 'Y', 'km')
usdaxs

ugvect(u, NX, v, NX, NX, NY)

grcls

